SEAL_Policy< B > Class Template Reference

SEAL stream cipher operation. More...

`#include <seal.h>`

Inheritance diagram for SEAL_Policy< B >:

## Additional Inherited Members

Public Types inherited from AdditiveCipherConcretePolicy< word32, 256 >
typedef word32 | WordType
| Word type for the cipher.
Public Member Functions inherited from AdditiveCipherConcretePolicy< word32, 256 >
unsigned int | GetAlignment () const
| Provides data alignment requirements.
unsigned int | GetBytesPerIteration () const
| Provides number of bytes operated upon during an iteration.
unsigned int | GetIterationsToBuffer () const
| Provides buffer size based on iterations.
bool | CanOperateKeystream () const
| Flag indicating.
Public Member Functions inherited from AdditiveCipherAbstractPolicy
virtual unsigned int | GetOptimalBlockSize () const
| Provides number of ideal bytes to process.
virtual void | WriteKeystream (byte *keystream, size_t iterationCount)
| Generate the keystream.
virtual std::string | AlgorithmProvider () const
| Retrieve the provider of this algorithm.
Static Public Member Functions inherited from SEAL_Info< B >
static const char * | StaticAlgorithmName ()
Static Public Member Functions inherited from FixedKeyLength< 20, SimpleKeyingInterface::INTERNALLY_GENERATED_IV, 4 >
static size_t | StaticGetValidKeyLength (size_t keylength)
| The default key length for the algorithm provided by a static function.
Static Public Attributes inherited from AdditiveCipherConcretePolicy< word32, 256 >
static const int | BYTES_PER_ITERATION
| Number of bytes for an iteration.
Static Public Attributes inherited from FixedKeyLength< 20, SimpleKeyingInterface::INTERNALLY_GENERATED_IV, 4 >
static const int | KEYLENGTH
| The default key length used by the algorithm provided as a constant.
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant.
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant.
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant.
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant.
static const int | IV_LENGTH
| The default IV length used by the algorithm provided as a constant.

## Detailed Description

template<class B = BigEndian>
class SEAL_Policy< B >

SEAL stream cipher operation.

Template Parameters

  B | Endianness of the stream cipher

Since
  Crypto++ 2.2

Definition at line 28 of file seal.h.

The documentation for this class was generated from the following files:

- seal.h
- seal.cpp